%global  basever 0.8.12

Name:           compizconfig-python
Version:        0.8.12.1
Release:        1%{?dist}
Epoch:          1
Summary:        Python bindings for the Compiz Configuration System
Group:          Development/Libraries
License:        LGPLv2+
URL:            https://github.com/raveit65/compizconfig-python
Source0:        https://github.com/raveit65/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64

BuildRequires:  libcompizconfig-devel >= %{basever}
BuildRequires:  glib2-devel
BuildRequires:  Cython
BuildRequires:  python2-devel

Requires:       compiz >= %{basever}

# prevent rpm's auto-generated provides mechanism to include private
# libraries
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains bindings to configure Compiz's
plugins and the composite window manager.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f


%files
%doc COPYING NEWS
%{python_sitearch}/compizconfig.so
%exclude %{_libdir}/pkgconfig/compizconfig-python.pc


%changelog
* Thu May 12 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.1-1
- update to 0.8.12.1 release

* Sat Feb 13 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12-1
- update to 0.8.12 release
- Set minimal Python required version to 2.7.x.
- Use Cython instead of Pyrex.

* Fri Nov 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.9-1
- update to 0.8.9
- new upstream is at https://github.com/raveit65/compizconfig-python
- remove upstream patches
- use BuildRequires mate-common
- use modern make install macro
- add requires compiz base version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-12
- rebuild for f22

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-8
- fix build for aarch64
- add requires autoconf, automake and libtool
- add autorefonf command
- fix automake-1.13 build deprecations

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-6
- build fedora
- remove python_sitelib stuff
- add filter setup
- add basever

* Sat Sep 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-5
- add Epoch tag
- fix source url

* Wed Sep 19 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-4
- improve spec file

* Tue May 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-3
- build for mate

* Sat Jul 31 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-3
- rebuild for broken deps

